Package org.eclipse.graphiti.ui.internal.policy

# Class GFResizableEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.GraphicalEditPolicy
org.eclipse.gef.editpolicies.SelectionEditPolicy
org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
org.eclipse.gef.editpolicies.NonResizableEditPolicy
org.eclipse.gef.editpolicies.ResizableEditPolicy
org.eclipse.graphiti.ui.internal.policy.GFResizableEditPolicy

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

public class GFResizableEditPolicy extends org.eclipse.gef.editpolicies.ResizableEditPolicy

## Field Summary

### Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`handles`

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`GFResizableEditPolicy(IConfigurationProviderInternal cfgProvider)`
`GFResizableEditPolicy(IConfigurationProviderInternal configurationProvider, IResizeShapeContext resizeShapeContext)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.draw2d.IFigure`
`createDragSourceFeedbackFigure()`
`protected List<?>`
`createSelectionHandles()`
`void`
`eraseSourceFeedback(org.eclipse.gef.Request request)`
`protected IConfigurationProviderInternal`
`getConfigurationProvider()`
`int`
`getResizeDirections()`
`protected void`
`hideSelection()`
`protected void`
`showPrimarySelection()`
`protected void`
`showSelection()`

### Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy

`createResizeHandle, getCommand, getResizeCommand, getResizeTracker, setResizeDirections, showSourceFeedback, understandsRequest`

### Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy

`createDragHandle, createMoveHandle, deactivate, eraseChangeBoundsFeedback, getAlignCommand, getDragSourceFeedbackFigure, getDragTracker, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, getSelectTracker, hideFocus, isDragAllowed, setDragAllowed, showChangeBoundsFeedback, showFocus`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`addSelectionHandles, getAdapter, removeSelectionHandles`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`activate, addSelectionListener, getTargetEditPart, removeSelectionListener, setFocus, setSelectedState`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GFResizableEditPolicy

public GFResizableEditPolicy(IConfigurationProviderInternal cfgProvider)

### GFResizableEditPolicy

public GFResizableEditPolicy(IConfigurationProviderInternal configurationProvider, IResizeShapeContext resizeShapeContext)

## Method Details

### createDragSourceFeedbackFigure

protected org.eclipse.draw2d.IFigure createDragSourceFeedbackFigure()

Overrides:
  `createDragSourceFeedbackFigure` in class `org.eclipse.gef.editpolicies.NonResizableEditPolicy`

### createSelectionHandles

protected List<?> createSelectionHandles()

Overrides:
  `createSelectionHandles` in class `org.eclipse.gef.editpolicies.ResizableEditPolicy`

### eraseSourceFeedback

public void eraseSourceFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseSourceFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseSourceFeedback` in class `org.eclipse.gef.editpolicies.ResizableEditPolicy`

### getConfigurationProvider

protected IConfigurationProviderInternal getConfigurationProvider()

### getResizeDirections

public int getResizeDirections()

Overrides:
  `getResizeDirections` in class `org.eclipse.gef.editpolicies.ResizableEditPolicy`

### hideSelection

protected void hideSelection()

Overrides:
  `hideSelection` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`

### showPrimarySelection

protected void showPrimarySelection()

Overrides:
  `showPrimarySelection` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`

### showSelection

protected void showSelection()

Overrides:
  `showSelection` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`